Katello - Bug #5800

Ul should raise validation error when host-collection limit exceeds for adding content-hosts
05/19/2014 09:16 PM - Brad Buckingham

Status: Closed

Priority: Normal

Assignee: Brad Buckingham

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1098437 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1098437

Description of problem:

Created a host collection with limit 2 and later added two content-hosts successfully. But When | tried to add another host in same
collection, nothing happens on Ul. Ul neither generates any error not updating the host-collection with another entry which it
shouldn't.

But production.log raises expected validation error msg:

Processing by Katello::Api::V2::HostCollectionsController#add_systems as JSON

Parameters: {"id"=>"1", "system_ids"=>["d3dab85f-0b50-4217-bf45-b816f398aa40"], "api_version"=>"v2",
"host_collection"=>{"id"=>"1"}}

ActiveRecord::RecordInvalid

base: ["You cannot have more than 2 content host(s) associated with host collection 'sghai_hosts'."]
Completed 422 Unprocessable Entity in 185ms (Views: 0.7ms | ActiveRecord: 6.1ms)

Processing by Katello::Api::V2::HostCollectionsController#add_systems as JSON

Parameters: {"id"=>"1", "system_ids"=>["d3dab85f-0b50-4217-bf45-b816f398aa40"], "api_version"=>"v2",
"host_collection"=>{"id"=>"1"}}

ActiveRecord::RecordInvalid

base: ["You cannot have more than 2 content host(s) associated with host collection 'sghai_hosts'."]
Completed 422 Unprocessable Entity in 35ms (Views: 0.3ms | ActiveRecord: 5.4ms)

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140508.1

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.7-1.el6sat.noarch
foreman-compute-1.6.0.7-1.el6sat.noarch
foreman-gce-1.6.0.7-1.el6sat.noarch
foreman-libvirt-1.6.0.7-1.el6sat.noarch
foreman-ovirt-1.6.0.7-1.el6sat.noarch
foreman-postgresql-1.6.0.7-1.el6sat.noarch
foreman-proxy-1.6.0.4-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
foreman-vmware-1.6.0.7-1.el6sat.noarch
katello-1.5.0-22.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.37-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
rubygem-hammer_cli-0.1.0-12.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.0-12.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-5.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-22.el6sat.noarch

How reproducible:
always

Steps to Reproduce:

1. create a host collection with limit 2

2. add 3 content hosts in host-collection
3.

Actual results:
2 hosts added successfully. But on adding 3rd host nothing happens on Ul.

Expected results:
Ul should raise following validation error:

"You cannot have more than 2 content host(s) associated with host collection."
Additional info:

Facing issue with Firefox 28.0

Associated revisions

Revision 1144745 - 05/23/2014 03:37 PM - Brad Buckingham

fixes #5800 - host collections ui - errors on add/remove should be displayed

Revision 0442739b - 05/23/2014 07:37 PM - Brad Buckingham

fixes #5800 - host collections ui - errors on add/remove should be displayed

Revision ea6638a7 - 05/27/2014 11:21 AM - Brad Buckingham

Merge pull request #4153 from bbuckingham/issue-5800

fixes #5800 - host collections ui - errors on add/remove should be displayed
Revision 882e3ba9 - 05/27/2014 03:21 PM - Brad Buckingham

Merge pull request #4153 from bbuckingham/issue-5800

fixes #5800 - host collections ui - errors on add/remove should be displayed

History

#1 - 05/19/2014 09:16 PM - Brad Buckingham
- Assignee set to Brad Buckingham

- Triaged set to Yes

#2 - 05/27/2014 03:52 PM - Brad Buckingham
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:0442739b229f54e0c4acac67e02c021dfa071be8.
#3 - 08/22/2014 08:25 AM - Eric Helms

- translation missing: en.field_release set to 13
